Bug 77309 - css3/flexbox/cross-axis-scrollbar.html ref test fails on Windows Chromium bots
Summary: css3/flexbox/cross-axis-scrollbar.html ref test fails on Windows Chromium bots
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL: http://test-results.appspot.com/dashb...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-29 18:03 PST by Levi Weintraub
Modified: 2012-01-31 12:09 PST (History)
2 users (show)

See Also:


Attachments
Patch (4.44 KB, patch)
2012-01-30 12:33 PST, Tony Chang
dpranke: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Levi Weintraub 2012-01-29 18:03:57 PST
css3/flexbox/cross-axis-scrollbar.html fails on Windows Chromium bots. The scrollbars are just off by one pixel.
Comment 1 Tony Chang 2012-01-29 18:16:20 PST
Sorry about that, please disable for now!
Comment 2 Tony Chang 2012-01-29 18:16:40 PST
I will look into it on Monday.
Comment 3 Tony Chang 2012-01-30 12:33:53 PST
Created attachment 124582 [details]
Patch
Comment 4 Tony Chang 2012-01-30 12:34:32 PST
Expected test result fix.
Comment 5 Levi Weintraub 2012-01-30 13:07:50 PST
Do you mind fixing up the test_expectations file in this patch as well?
Comment 6 Tony Chang 2012-01-30 13:43:42 PST
(In reply to comment #5)
> Do you mind fixing up the test_expectations file in this patch as well?

I want to let this cycle once to see if it works.  If it works, I'll remove the line from test_expectations.txt.
Comment 7 Tony Chang 2012-01-30 13:46:04 PST
BTW, I'm following up with Dirk to see if this overflow is intentional.
Comment 8 Levi Weintraub 2012-01-30 13:47:55 PST
Cool. Sounds perfect to me :)
Comment 9 Dirk Pranke 2012-01-30 13:55:28 PST
Comment on attachment 124582 [details]
Patch

Change looks fine to me. I don't believe the overflow is intentional, so can you please file a bug against me to fix them and do all of the rebaselining?
Comment 10 Tony Chang 2012-01-30 15:16:24 PST
Committed r106294: <http://trac.webkit.org/changeset/106294>
Comment 11 Tony Chang 2012-01-30 15:18:05 PST
(reopening for test_expectations.txt change)
Comment 12 WebKit Review Bot 2012-01-30 15:32:36 PST
Comment on attachment 124582 [details]
Patch

Rejecting attachment 124582 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
t/git/webkit-commit-queue/Source/WebKit/chromium/v8 --revision 10507 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
46>At revision 10507.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/11367708
Comment 13 Tony Chang 2012-01-31 12:09:07 PST
Expected result and test removed from test_expectations.txt in http://trac.webkit.org/changeset/106378 .